Package com.mckoi.database.jdbc

## Interface TriggerListener

    public interface TriggerListener

A listener that is notified when the trigger being listened to is fired.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `triggerFired​(java.lang.String trigger_name)` Notifies this listener that the trigger with the name has been fired.

### Method Detail

#### triggerFired

    void triggerFired​(java.lang.String trigger_name)

Notifies this listener that the trigger with the name has been fired. Trigger's are specified via the SQL syntax and a trigger listener can be registered via MckoiConnection.

Parameters:
  `trigger_name` - the name of the trigger that fired.